Bug 11801 - Crash in mdssvc with older glib2 versions
Crash in mdssvc with older glib2 versions
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-17 15:05 UTC by Ralph Böhme
Modified: 2016-08-05 07:36 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.3 and 4.4 cherry-picked from master (1.29 KB, patch)
2016-08-02 08:56 UTC, Ralph Böhme
metze: review+
slow: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-03-17 15:05:00 UTC
Older glib2 versions will crash if g_type_init is not called:

(process:6712): GLib-GObject-CRITICAL **: ... ./gobject/gtype.c:2722:
You forgot to call g_type_init()

Have patch, need bugnumber. :)
Comment 1 Ralph Böhme 2016-08-02 08:56:00 UTC
Created attachment 12299 [details]
Patch for 4.3 and 4.4 cherry-picked from master
Comment 2 Ralph Böhme 2016-08-02 09:46:57 UTC
Reassigning to Karolin for inclusion in 4.3 and 4.4.
Comment 3 Karolin Seeger 2016-08-03 07:51:41 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-[4|3]-test.
Comment 4 Karolin Seeger 2016-08-05 07:36:08 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!